<div class="filter-box">
    <div class="d-flex" style="height:50px;width: 80%;justify-content: space-between;margin: 0 auto;">
        <p style="margin-top: 13px;font-weight:bold;">trier par</p>

        <button mat-button color="warn">tout effacer</button>
    </div>
    <div style="height: 80px;width: 80%;margin: 30px auto;display: flex;flex-direction: column;gap: 5px;">
        <!-- <mat-button-toggle-group  style="width: 100%;" name="fontStyle" aria-label="Font Style" [vertical]="true">
            <mat-button-toggle value="bold">Départ le plus tôt</mat-button-toggle>
            <mat-button-toggle value="italic">Prix le plus bas</mat-button-toggle>
        </mat-button-toggle-group> -->
        <div>
            <mat-checkbox [(ngModel)]="request.EarliestDeparture" (ngModelChange)="onRequestChange()">Départ le plus tôt
            </mat-checkbox>
        </div>
        <div>
            <mat-checkbox [(ngModel)]="request.LowestPrice" (ngModelChange)="onRequestChange()">Prix le plus bas
            </mat-checkbox>
        </div>
    </div>

    <div class="d-flex" style="height:50px;width: 80%;justify-content: space-between;margin: 0 auto;">
        <p style="margin-top: 13px;font-weight:bold;">Horaires</p>

        <button mat-button color="warn">tout effacer</button>
    </div>

    <div style="height: 80px;width: 80%;margin: 30px auto;">
        <mat-button-toggle-group style="width: 100%;" name="fontStyle" aria-label="Font Style" [vertical]="true">
            <mat-button-toggle value="bold">Avant 6h</mat-button-toggle>
            <mat-button-toggle value="italic">6h - 12h</mat-button-toggle>
            <mat-button-toggle value="test">12h - 18h</mat-button-toggle>
            <mat-button-toggle value="itali">Après 18h</mat-button-toggle>
        </mat-button-toggle-group>
    </div>

</div>